Bug 1016906 - python-nova should depend on python-cinderclient>=1.0.6
python-nova should depend on python-cinderclient>=1.0.6
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
4.0
Unspecified Unspecified
medium Severity high
: rc
: 4.0
Assigned To: Jakub Ruzicka
Giulio Fidente
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 18:07 EDT by Eric Harney
Modified: 2016-04-26 16:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 13:02:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1230925 None None None Never

  None (edit)
Description Eric Harney 2013-10-08 18:07:57 EDT
RHOS 4.0 python-nova should require python-cinderclient>=1.0.6 to support volume migration.  (Not packaged in RHOS yet.)
Comment 2 Pádraig Brady 2013-10-10 06:23:30 EDT
We've not yet started track client dependencies to this level of detail as we'd be constantly bumping the version numbers of the matrix of interdependencies.
I've moved this to the cinderclient component for now, to ensure it's updated.
Comment 4 Scott Lewis 2013-11-19 11:54:58 EST
Auto adding >= MODIFIED bugs to beta
Comment 6 Lon Hohberger 2013-12-06 15:59:54 EST
This is a bug in openstack-nova at this point - flipping components.  Please re-ack as appropriate.
Comment 7 Lon Hohberger 2013-12-06 16:01:30 EST
Current openstack-nova has:

Requires:         python-cinderclient

not:

Requires:         python-cinderclient >= 1.0.6
Comment 11 Jakub Ruzicka 2013-12-09 08:47:18 EST
python-cinderclient 1.0.7 is currently available.

We provide distribution as a whole so we prefer to provide right packages over requiring explicit versions and bumping these around as Pádraig explained.

Note You need to log in before you can comment on or make changes to this bug.